# ApplicationFramework
TKStdLSchema
StdLSchema

# StdLSchema_PDataStd_BooleanList Class Reference

`#include <StdLSchema_PDataStd_BooleanList.hxx>`

## Public Member Functions

| StdLSchema_PDataStd_BooleanList ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&) const
| ~StdLSchema_PDataStd_BooleanList ()
Standard_EXPORT Standard_Boolean | IsKind (const Handle(Standard_Type)&AType) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const Handle(PDataStd_BooleanList)&, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SWrite (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)
static Standard_EXPORT void | SRead (const Handle(Standard_Persistent)&, Storage_BaseDriver &, const Handle(Storage_Schema)&)

## Constructor & Destructor Documentation

StdLSchema_PDataStd_BooleanList::StdLSchema_PDataStd_BooleanList | ( |  | ) | `[inline]`

StdLSchema_PDataStd_BooleanList::~StdLSchema_PDataStd_BooleanList | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void StdLSchema_PDataStd_BooleanList::Add | ( | const Handle(Standard_Persistent)& | ,
|  | const Handle(Storage_Schema)& |
| ) | const

Standard_EXPORT const StdLSchema_PDataStd_BooleanList::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StdLSchema_PDataStd_BooleanList::IsKind | ( | const Handle(Standard_Type)& | AType | ) | const

Standard_EXPORT Handle_Standard_Persistent StdLSchema_PDataStd_BooleanList::New | ( |  | ) | const

Standard_EXPORT void StdLSchema_PDataStd_BooleanList::Read | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

static Standard_EXPORT void StdLSchema_PDataStd_BooleanList::SAdd | ( | const Handle(PDataStd_BooleanList)& | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PDataStd_BooleanList::SRead | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PDataStd_BooleanList::SWrite | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | `[static]`

Standard_EXPORT void StdLSchema_PDataStd_BooleanList::Write | ( | const Handle(Standard_Persistent)& | ,
|  | Storage_BaseDriver & | ,
|  | const Handle(Storage_Schema)& |
| ) | const

The documentation for this class was generated from the following file:

- StdLSchema_PDataStd_BooleanList.hxx